Skip to content

Result

Request

Using the Scan ID received from the Submission API, you can use the Result API to poll for the scan. The most efficient approach would be to wait at least 10 seconds before starting to poll, and then only polling 2-second intervals with an eventual upper timeout in case the scan does not return.

Security
apikeyAuth(Required scopes: readwrite)
Path
scanIdstring, (uuid)required

UUID of scan result

GET
/api/v1/result/{scanId}/
curl -i -X GET \
  'https://urlscan.io/api/v1/result/{scanId}/' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

OK

Bodyapplication/json
dataobject

Raw scan data including network requests, responses, cookies, console logs, and page elements

statsobject

Statistical analysis of the scan including resource counts, protocols, security metrics, and geographic distribution

metaobject

Enriched metadata from external processors including domain rankings, geolocation, DNS records, and ASN information

taskobject

Information about the scan task including configuration, URLs, and submission details

pageobject

Information about the scanned page including server details, location, and network properties

listsobject

Aggregated lists of unique domains, IPs, URLs, ASNs, servers, certificates and hashes.

verdictsobject

Security verdicts and threat analysis from multiple sources including urlscan.io, third-party engines, and community ratings

submitterobject

Information about the entity that submitted the scan request

scannerobject

Information about the scanner that performed the scan

visibleobject

Information made visible on the public report (e.g. detected brand)

labelsArray of strings

System labels controlled by urlscan. Only in urlscan Pro

usertagsArray of strings

User-defined tags applied by Saved Searches. Only in urlscan Pro

metatagsArray of strings

Meta information about the scan and matched searches, e.g. the IDs of Saved Searches that this item has matched - Only in urlscan Pro (Attention: This field is called meta in the Search API)

Response
{ "data": { "requests": [], "cookies": [], "console": [], "links": [], "timing": {}, "globals": [], "storages": [], "redirects": [] }, "stats": { "resourceStats": [], "protocolStats": [], "tlsStats": [], "serverStats": [], "domainStats": [], "regDomainStats": [], "secureRequests": 55, "securePercentage": 100, "IPv6Percentage": 80, "uniqCountries": 1, "totalLinks": 10, "malicious": 0, "adBlocked": 0, "ipStats": [] }, "meta": { "processors": {} }, "task": { "uuid": "68e26c59-2eae-437b-aeb1-cf750fafe7d7", "time": "2023-08-18T10:27:47.342Z", "url": "https://urlscan.io/", "visibility": "public", "method": "api", "source": "d1675d21", "tags": [], "reportURL": "https://urlscan.io/result/68e26c59-2eae-437b-aeb1-cf750fafe7d7/", "screenshotURL": "https://urlscan.io/screenshots/68e26c59-2eae-437b-aeb1-cf750fafe7d7.png", "domURL": "https://urlscan.io/dom/68e26c59-2eae-437b-aeb1-cf750fafe7d7/" }, "page": { "url": "https://urlscan.io/", "domain": "urlscan.io", "country": "DE", "city": "", "server": "nginx", "ip": "49.12.22.106", "asn": "AS24940", "asnname": "HETZNER-AS, DE" }, "lists": { "ips": [], "countries": [], "asns": [], "domains": [], "servers": [], "urls": [], "linkDomains": [], "certificates": [], "hashes": [] }, "verdicts": { "overall": {}, "urlscan": {}, "engines": {}, "community": {} }, "submitter": { "country": "US" }, "scanner": { "country": "us" } }